%global cmake_build 1

Name:    openjpeg
Version: 1.5.1
Release: 24
Summary: JPEG 2000 command line tools
License: BSD
URL:     https://code.google.com/p/openjpeg/
Source0: https://downloads.sourceforge.net/openjpeg.mirror/%{name}-%{version}.tar.gz

Patch1: openjpeg-1.5.1-soname.patch
Patch2: openjpeg-1.5.1-offset-check.patch

# upstream patches
Patch50: openjpeg-1.5.1-cmake_libdir.patch
Patch51: openjpeg-1.5.1-doxygen_timestamp.patch
#patch52 comes from https://bugzilla.redhat.com
Patch52: openjpeg-fast-math.patch

Patch100: openjpeg-1.5-r2029.patch
Patch101: openjpeg-1.5-r2031.patch
Patch102: openjpeg-1.5-r2032.patch
Patch103: openjpeg-1.5-r2033.patch

#patches 200-204 come from https://bugzilla.redhat.com
Patch200: openjpeg-1.5.1-CVE-2013-6052.patch
Patch201: openjpeg-1.5.1-CVE-2013-6053.patch
Patch202: openjpeg-1.5.1-CVE-2013-6045.patch
Patch203: openjpeg-1.5.1-CVE-2013-1447.patch
Patch204: openjpeg-1.5.1-CVE-2013-6887.patch

Patch6000: CVE-2016-7445.patch
Patch6001: CVE-2016-10506.patch


BuildRequires: cmake git pkgconfig(zlib) pkgconfig(libpng) pkgconfig(lcms2)
BuildRequires: doxygen gcc-c++ libtiff-devel

Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description
The OpenJPEG library is an open-source JPEG 2000 library developed in order to promote the use of JPEG 2000.
The main part of the project consists in a JPEG 2000 codec compliant with the Part 1 of the standard
(Class-1 Profile-1 compliance).

%package  devel
Summary:  Development files for %{name} 
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use OpenJPEG.

%package libs
Summary: JPEG 2000 codec runtime library

%description libs
The %{name}-libs package contains runtime libraries for applications that use OpenJPEG.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 -S git

%build

%{?runcheck:export OPJ_DATA_ROOT=$(pwd)/data}
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
  -DBUILD_DOC:BOOL=ON \
  -DBUILD_SHARED_LIBS:BOOL=ON \
  -DBUILD_MJ2:BOOL=ON \
  %{?runcheck:-DBUILD_TESTING:BOOL=ON} \
  -DCMAKE_BUILD_TYPE=Release \
  -DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_lib} \
   ..
popd

%make_build -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
ln -s openjpeg-1.5/openjpeg.h %{buildroot}%{_includedir}/openjpeg.h

%delete_la

%check
test -f %{buildroot}%{_includedir}/openjpeg.h

%files
%defattr(-,root,root)
%license LICENSE
%{_bindir}/*
%exclude %{_docdir}/openjpeg-1.5/

%files devel
%defattr(-,root,root)
%{_includedir}/openjpeg-1.5/
%{_includedir}/openjpeg.h
%{_libdir}/libopenjpeg.so
%{_libdir}/pkgconfig/libopenjpeg*.pc
%{_libdir}/openjpeg-1.5/

%ldconfig_scriptlets libs

%files libs
%defattr(-,root,root)
%{_libdir}/libopenjpeg.so.1*

%files help
%defattr(-,root,root)
%doc CHANGES
%doc %{?cmake_build:%{_target_platform}/}doc/html/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*libopenjpeg.3*

%changelog
* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5.1-24
- Type:cves
- ID:CVE-2016-10506 CVE-2016-7445
- SUG:restart
- DESC:fix CVE-2018-15173 and CVE-2016-7445

* Wed Sep 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5.1-23
- Package init

